beam-builds mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Apache Jenkins Server <jenk...@builds.apache.org>
Subject Build failed in Jenkins: beam_LoadTests_Python_Combine_Flink_Streaming #149
Date Sun, 31 Jan 2021 19:07:18 GMT
See <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/149/display/redirect>

Changes:


------------------------------------------
[...truncated 47.76 KB...]
  Using cached websocket_client-0.57.0-py2.py3-none-any.whl (200 kB)
Building wheels for collected packages: apache-beam
  Building wheel for apache-beam (setup.py): started
  Building wheel for apache-beam (setup.py): finished with status 'done'
  Created wheel for apache-beam: filename=apache_beam-2.29.0.dev0-py3-none-any.whl size=2388628
sha256=fa45c66f044a063a5001fcde66232cb1fa498088bc4fe43ea4f3c01d5497a7d0
  Stored in directory: /home/jenkins/.cache/pip/wheels/67/89/a4/f6bd05488a6a494d802277f2836bec3d24856866fd4a98d4df
Successfully built apache-beam
Installing collected packages: pyasn1, urllib3, rsa, pycparser, pyasn1-modules, idna, chardet,
certifi, cachetools, wcwidth, typing-extensions, requests, pytz, python-dateutil, oauthlib,
mypy-extensions, more-itertools, jmespath, googleapis-common-protos, google-auth, cffi, attrs,
atomicwrites, websocket-client, typing-inspect, requests-oauthlib, pyyaml, pytest, pbr, numpy,
isodate, httplib2, grpcio-gcp, google-crc32c, google-api-core, docopt, botocore, apipkg, wrapt,
s3transfer, pytest-forked, pymongo, pydot, pyarrow, proto-plus, oauth2client, nose, msrest,
mock, libcst, hdfs, grpc-google-iam-v1, google-resumable-media, google-cloud-core, fasteners,
fastavro, execnet, docker, dill, deprecation, cryptography, crcmod, azure-core, avro-python3,
testcontainers, tenacity, sqlalchemy, requests-mock, pytest-xdist, pytest-timeout, pyhamcrest,
psycopg2-binary, parameterized, pandas, nose-xunitmp, google-cloud-vision, google-cloud-videointelligence,
google-cloud-spanner, google-cloud-pubsub, google-cloud-language, google-cloud-dlp, google-cloud-datastore,
google-cloud-build, google-cloud-bigtable, google-cloud-bigquery, google-apitools, freezegun,
boto3, azure-storage-blob, apache-beam
Successfully installed apache-beam-2.29.0.dev0 apipkg-1.5 atomicwrites-1.4.0 attrs-20.3.0
avro-python3-1.9.2.1 azure-core-1.10.0 azure-storage-blob-12.7.1 boto3-1.16.63 botocore-1.19.63
cachetools-4.2.1 certifi-2020.12.5 cffi-1.14.4 chardet-4.0.0 crcmod-1.7 cryptography-3.3.1
deprecation-2.1.0 dill-0.3.1.1 docker-4.4.1 docopt-0.6.2 execnet-1.8.0 fastavro-1.3.0 fasteners-0.16
freezegun-1.1.0 google-api-core-1.25.1 google-apitools-0.5.31 google-auth-1.24.0 google-cloud-bigquery-1.28.0
google-cloud-bigtable-1.6.1 google-cloud-build-2.0.0 google-cloud-core-1.5.0 google-cloud-datastore-1.15.3
google-cloud-dlp-1.0.0 google-cloud-language-1.3.0 google-cloud-pubsub-1.7.0 google-cloud-spanner-1.19.1
google-cloud-videointelligence-1.16.1 google-cloud-vision-1.0.0 google-crc32c-1.1.2 google-resumable-media-1.2.0
googleapis-common-protos-1.52.0 grpc-google-iam-v1-0.12.3 grpcio-gcp-0.2.2 hdfs-2.5.8 httplib2-0.17.4
idna-2.10 isodate-0.6.0 jmespath-0.10.0 libcst-0.3.16 mock-2.0.0 more-itertools-8.6.0 msrest-0.6.21
mypy-extensions-0.4.3 nose-1.3.7 nose-xunitmp-0.4.1 numpy-1.20.0 oauth2client-4.1.3 oauthlib-3.1.0
pandas-1.1.5 parameterized-0.7.5 pbr-5.5.1 proto-plus-1.13.0 psycopg2-binary-2.8.6 pyarrow-2.0.0
pyasn1-0.4.8 pyasn1-modules-0.2.8 pycparser-2.20 pydot-1.4.1 pyhamcrest-1.10.1 pymongo-3.11.2
pytest-4.6.11 pytest-forked-1.3.0 pytest-timeout-1.4.2 pytest-xdist-1.34.0 python-dateutil-2.8.1
pytz-2020.5 pyyaml-5.4.1 requests-2.25.1 requests-mock-1.8.0 requests-oauthlib-1.3.0 rsa-4.7
s3transfer-0.3.4 sqlalchemy-1.3.22 tenacity-5.1.5 testcontainers-3.2.0 typing-extensions-3.7.4.3
typing-inspect-0.6.0 urllib3-1.26.3 wcwidth-0.2.5 websocket-client-0.57.0 wrapt-1.12.1

> Task :sdks:python:apache_beam:testing:load_tests:run
WARNING:root:Make sure that locally built Python SDK docker image has Python 3.7 interpreter.
INFO:root:Default Python SDK image for environment is apache/beam_python3.7_sdk:2.29.0.dev
INFO:root:Using provided Python SDK container image: gcr.io/apache-beam-testing/beam_portability/beam_python3.7_sdk:latest
INFO:root:Python SDK container image set to "gcr.io/apache-beam-testing/beam_portability/beam_python3.7_sdk:latest"
for Docker environment
WARNING:apache_beam.options.pipeline_options:Discarding unparseable args: ['--fanout=4', '--top_count=20',
'--use_stateful_load_generator']
INFO:apache_beam.runners.portability.portable_runner:Job state changed to STOPPED
INFO:apache_beam.runners.portability.portable_runner:Job state changed to STARTING
INFO:apache_beam.runners.portability.portable_runner:Job state changed to RUNNING
INFO:apache_beam.runners.portability.portable_runner:Job state changed to DONE
INFO:apache_beam.testing.load_tests.load_test_metrics_utils:Load test results for test: 8014dd0603654c8bb8e8d55be3804adc
and timestamp: 1612119802.2967489:
INFO:apache_beam.testing.load_tests.load_test_metrics_utils:Metric: python_flink_streaming_combine_4_runtime
Value: 230

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings

BUILD SUCCESSFUL in 5m 46s
5 actionable tasks: 5 executed

Publishing build scan...
https://gradle.com/s/ddrs3i25zn24i

Build step 'Invoke Gradle script' changed build result to SUCCESS
[beam_LoadTests_Python_Combine_Flink_Streaming] $ /bin/bash -xe /tmp/jenkins2747037998698499971.sh
+ echo '*** Combine Python Load test: 2GB Fanout 8 ***'
*** Combine Python Load test: 2GB Fanout 8 ***
[Gradle] - Launching build.
[src] $ <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/gradlew>
-PloadTest.mainClass=apache_beam.testing.load_tests.combine_test -Prunner=PortableRunner -PwithDataflowWorkerJar=false
'-PloadTest.args=--job_name=load-tests-python-flink-streaming-combine-5-0131185314 --project=apache-beam-testing
--publish_to_big_query=true --metrics_dataset=load_test --metrics_table=python_flink_streaming_combine_5
--influx_measurement=python_streaming_combine_5 --input_options='{"num_records": 2500000,"key_size":
10,"value_size": 90}' --parallelism=16 --job_endpoint=localhost:8099 --environment_type=DOCKER
--environment_config=gcr.io/apache-beam-testing/beam_portability/beam_python3.7_sdk:latest
--fanout=8 --top_count=20 --influx_db_name=beam_test_metrics --influx_hostname=http://10.128.0.96:8086
--streaming --use_stateful_load_generator --runner=PortableRunner' -PpythonVersion=3.7 --continue
--max-****s=12 -Dorg.gradle.jvmargs=-Xms2g -Dorg.gradle.jvmargs=-Xmx4g -Pdocker-pull-licenses
:sdks:python:apache_beam:testing:load_tests:run
> Task :buildSrc:compileJava NO-SOURCE
> Task :buildSrc:compileGroovy UP-TO-DATE
> Task :buildSrc:pluginDescriptors UP-TO-DATE
> Task :buildSrc:processResources UP-TO-DATE
> Task :buildSrc:classes UP-TO-DATE
> Task :buildSrc:jar UP-TO-DATE
> Task :buildSrc:assemble UP-TO-DATE
> Task :buildSrc:spotlessGroovy UP-TO-DATE
> Task :buildSrc:spotlessGroovyCheck UP-TO-DATE
> Task :buildSrc:spotlessGroovyGradle UP-TO-DATE
> Task :buildSrc:spotlessGroovyGradleCheck UP-TO-DATE
> Task :buildSrc:spotlessCheck UP-TO-DATE
> Task :buildSrc:pluginUnderTestMetadata UP-TO-DATE
> Task :buildSrc:compileTestJava NO-SOURCE
> Task :buildSrc:compileTestGroovy NO-SOURCE
> Task :buildSrc:processTestResources NO-SOURCE
> Task :buildSrc:testClasses UP-TO-DATE
> Task :buildSrc:test NO-SOURCE
> Task :buildSrc:validatePlugins UP-TO-DATE
> Task :buildSrc:check UP-TO-DATE
> Task :buildSrc:build UP-TO-DATE
Configuration on demand is an incubating feature.
> Task :sdks:python:setupVirtualenv UP-TO-DATE

> Task :sdks:python:sdist
<https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1922375555/lib/python3.7/site-packages/setuptools/dist.py>:461:
UserWarning: Normalizing '2.29.0.dev' to '2.29.0.dev0'
  warnings.warn(tmpl.format(**locals()))
INFO:gen_protos:Skipping proto regeneration: all files up to date
warning: no files found matching 'README.md'
warning: no files found matching 'NOTICE'
warning: no files found matching 'LICENSE'
warning: sdist: standard file not found: should have one of README, README.rst, README.txt,
README.md


> Task :sdks:python:apache_beam:testing:load_tests:setupVirtualenv UP-TO-DATE

> Task :sdks:python:apache_beam:testing:load_tests:installGcpTest
Processing <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/sdks/python/build/apache-beam.tar.gz>
Requirement already satisfied: avro-python3!=1.9.2,<1.10.0,>=1.8.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.9.2.1)
Requirement already satisfied: crcmod<2.0,>=1.7 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.7)
Requirement already satisfied: dill<0.3.2,>=0.3.1.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.3.1.1)
Requirement already satisfied: fastavro<2,>=0.21.4 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.3.0)
Requirement already satisfied: future<1.0.0,>=0.18.2 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.18.2)
Requirement already satisfied: grpcio<2,>=1.29.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.35.0)
Requirement already satisfied: hdfs<3.0.0,>=2.1.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.5.8)
Requirement already satisfied: httplib2<0.18.0,>=0.8 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.17.4)
Requirement already satisfied: mock<3.0.0,>=1.0.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.0.0)
Requirement already satisfied: numpy<2,>=1.14.3 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.20.0)
Requirement already satisfied: pymongo<4.0.0,>=3.8.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (3.11.2)
Requirement already satisfied: oauth2client<5,>=2.0.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (4.1.3)
Requirement already satisfied: protobuf<4,>=3.12.2 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (3.14.0)
Requirement already satisfied: pyarrow<3.0.0,>=0.15.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.0.0)
Requirement already satisfied: pydot<2,>=1.2.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.4.1)
Requirement already satisfied: python-dateutil<3,>=2.8.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.8.1)
Requirement already satisfied: pytz>=2018.3 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2020.5)
Requirement already satisfied: requests<3.0.0,>=2.24.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.25.1)
Requirement already satisfied: typing-extensions<3.8.0,>=3.7.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (3.7.4.3)
Requirement already satisfied: boto3>=1.9 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.16.63)
Requirement already satisfied: freezegun>=0.3.12 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.1.0)
Requirement already satisfied: nose>=1.3.7 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.3.7)
Requirement already satisfied: nose_xunitmp>=0.4.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.4.1)
Requirement already satisfied: pandas<1.2.0,>=1.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.1.5)
Requirement already satisfied: parameterized<0.8.0,>=0.7.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.7.5)
Requirement already satisfied: pyhamcrest!=1.10.0,<2.0.0,>=1.9 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.10.1)
Requirement already satisfied: pyyaml<6.0.0,>=3.12 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (5.4.1)
Requirement already satisfied: requests_mock<2.0,>=1.7 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.8.0)
Requirement already satisfied: tenacity<6.0,>=5.0.2 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (5.1.5)
Requirement already satisfied: pytest<5.0,>=4.4.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (4.6.11)
Requirement already satisfied: pytest-xdist<2,>=1.29.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.34.0)
Requirement already satisfied: pytest-timeout<2,>=1.3.3 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.4.2)
Requirement already satisfied: sqlalchemy<2.0,>=1.3 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.3.22)
Requirement already satisfied: psycopg2-binary<3.0.0,>=2.8.5 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.8.6)
Requirement already satisfied: testcontainers<4.0.0,>=3.0.3 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (3.2.0)
Requirement already satisfied: cachetools<5,>=3.1.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (4.2.1)
Requirement already satisfied: google-apitools<0.5.32,>=0.5.31 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.5.31)
Requirement already satisfied: google-auth<2,>=1.18.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.24.0)
Requirement already satisfied: google-cloud-datastore<2,>=1.7.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.15.3)
Requirement already satisfied: google-cloud-pubsub<2,>=0.39.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.7.0)
Requirement already satisfied: google-cloud-bigquery<2,>=1.6.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.28.0)
Requirement already satisfied: google-cloud-core<2,>=0.28.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.5.0)
Requirement already satisfied: google-cloud-bigtable<2,>=0.31.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.6.1)
Requirement already satisfied: google-cloud-spanner<2,>=1.13.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.19.1)
Requirement already satisfied: grpcio-gcp<1,>=0.2.2 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (0.2.2)
Requirement already satisfied: google-cloud-dlp<2,>=0.12.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.0.0)
Requirement already satisfied: google-cloud-language<2,>=1.3.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.3.0)
Requirement already satisfied: google-cloud-videointelligence<2,>=1.8.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.16.1)
Requirement already satisfied: google-cloud-vision<2,>=0.38.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.0.0)
Requirement already satisfied: google-cloud-build<3,>=2.0.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (2.0.0)
Requirement already satisfied: azure-storage-blob>=12.3.2 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (12.7.1)
Requirement already satisfied: azure-core>=1.7.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from apache-beam==2.29.0.dev0) (1.10.0)
Requirement already satisfied: six>=1.6 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from azure-core>=1.7.0->apache-beam==2.29.0.dev0) (1.15.0)
Requirement already satisfied: cryptography>=2.1.4 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0) (3.3.1)
Requirement already satisfied: msrest>=0.6.18 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0) (0.6.21)
Requirement already satisfied: s3transfer<0.4.0,>=0.3.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from boto3>=1.9->apache-beam==2.29.0.dev0) (0.3.4)
Requirement already satisfied: botocore<1.20.0,>=1.19.63 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from boto3>=1.9->apache-beam==2.29.0.dev0) (1.19.63)
Requirement already satisfied: jmespath<1.0.0,>=0.7.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from boto3>=1.9->apache-beam==2.29.0.dev0) (0.10.0)
Requirement already satisfied: urllib3<1.27,>=1.25.4 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from botocore<1.20.0,>=1.19.63->boto3>=1.9->apache-beam==2.29.0.dev0) (1.26.3)
Requirement already satisfied: cffi>=1.12 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from cryptography>=2.1.4->azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0)
(1.14.4)
Requirement already satisfied: pycparser in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from cffi>=1.12->cryptography>=2.1.4->azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0)
(2.20)
Requirement already satisfied: fasteners>=0.14 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-apitools<0.5.32,>=0.5.31->apache-beam==2.29.0.dev0) (0.16)
Requirement already satisfied: rsa<5,>=3.1.4 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-auth<2,>=1.18.0->apache-beam==2.29.0.dev0) (4.7)
Requirement already satisfied: setuptools>=40.3.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-auth<2,>=1.18.0->apache-beam==2.29.0.dev0) (52.0.0)
Requirement already satisfied: pyasn1-modules>=0.2.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-auth<2,>=1.18.0->apache-beam==2.29.0.dev0) (0.2.8)
Requirement already satisfied: google-resumable-media<2.0dev,>=0.6.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-cloud-bigquery<2,>=1.6.0->apache-beam==2.29.0.dev0) (1.2.0)
Requirement already satisfied: google-api-core<2.0dev,>=1.21.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-cloud-bigquery<2,>=1.6.0->apache-beam==2.29.0.dev0) (1.25.1)
Requirement already satisfied: googleapis-common-protos<2.0dev,>=1.6.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-api-core<2.0dev,>=1.21.0->google-cloud-bigquery<2,>=1.6.0->apache-beam==2.29.0.dev0)
(1.52.0)
Requirement already satisfied: grpc-google-iam-v1<0.13dev,>=0.12.3 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-cloud-bigtable<2,>=0.31.1->apache-beam==2.29.0.dev0) (0.12.3)
Requirement already satisfied: libcst>=0.2.5 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-cloud-build<3,>=2.0.0->apache-beam==2.29.0.dev0) (0.3.16)
Requirement already satisfied: proto-plus>=0.4.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-cloud-build<3,>=2.0.0->apache-beam==2.29.0.dev0) (1.13.0)
Requirement already satisfied: google-crc32c<2.0dev,>=1.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from google-resumable-media<2.0dev,>=0.6.0->google-cloud-bigquery<2,>=1.6.0->apache-beam==2.29.0.dev0)
(1.1.2)
Requirement already satisfied: docopt in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from hdfs<3.0.0,>=2.1.0->apache-beam==2.29.0.dev0) (0.6.2)
Requirement already satisfied: typing-inspect>=0.4.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from libcst>=0.2.5->google-cloud-build<3,>=2.0.0->apache-beam==2.29.0.dev0)
(0.6.0)
Requirement already satisfied: pbr>=0.11 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from mock<3.0.0,>=1.0.1->apache-beam==2.29.0.dev0) (5.5.1)
Requirement already satisfied: requests-oauthlib>=0.5.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from msrest>=0.6.18->azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0) (1.3.0)
Requirement already satisfied: certifi>=2017.4.17 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from msrest>=0.6.18->azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0) (2020.12.5)
Requirement already satisfied: isodate>=0.6.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from msrest>=0.6.18->azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0) (0.6.0)
Requirement already satisfied: pyasn1>=0.1.7 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from oauth2client<5,>=2.0.1->apache-beam==2.29.0.dev0) (0.4.8)
Requirement already satisfied: pyparsing>=2.1.4 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pydot<2,>=1.2.0->apache-beam==2.29.0.dev0) (2.4.7)
Requirement already satisfied: atomicwrites>=1.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (1.4.0)
Requirement already satisfied: wcwidth in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (0.2.5)
Requirement already satisfied: importlib-metadata>=0.12 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (2.1.1)
Requirement already satisfied: attrs>=17.4.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (20.3.0)
Requirement already satisfied: packaging in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (20.9)
Requirement already satisfied: py>=1.5.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (1.10.0)
Requirement already satisfied: more-itertools>=4.0.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (8.6.0)
Requirement already satisfied: pluggy<1.0,>=0.12 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0) (0.13.1)
Requirement already satisfied: zipp>=0.5 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from importlib-metadata>=0.12->pytest<5.0,>=4.4.0->apache-beam==2.29.0.dev0)
(3.4.0)
Requirement already satisfied: pytest-forked in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest-xdist<2,>=1.29.0->apache-beam==2.29.0.dev0) (1.3.0)
Requirement already satisfied: execnet>=1.1 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from pytest-xdist<2,>=1.29.0->apache-beam==2.29.0.dev0) (1.8.0)
Requirement already satisfied: apipkg>=1.4 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from execnet>=1.1->pytest-xdist<2,>=1.29.0->apache-beam==2.29.0.dev0) (1.5)
Requirement already satisfied: chardet<5,>=3.0.2 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from requests<3.0.0,>=2.24.0->apache-beam==2.29.0.dev0) (4.0.0)
Requirement already satisfied: idna<3,>=2.5 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from requests<3.0.0,>=2.24.0->apache-beam==2.29.0.dev0) (2.10)
Requirement already satisfied: oauthlib>=3.0.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from requests-oauthlib>=0.5.0->msrest>=0.6.18->azure-storage-blob>=12.3.2->apache-beam==2.29.0.dev0)
(3.1.0)
Requirement already satisfied: docker in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from testcontainers<4.0.0,>=3.0.3->apache-beam==2.29.0.dev0) (4.4.1)
Requirement already satisfied: wrapt in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from testcontainers<4.0.0,>=3.0.3->apache-beam==2.29.0.dev0) (1.12.1)
Requirement already satisfied: deprecation in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from testcontainers<4.0.0,>=3.0.3->apache-beam==2.29.0.dev0) (2.1.0)
Requirement already satisfied: mypy-extensions>=0.3.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from typing-inspect>=0.4.0->libcst>=0.2.5->google-cloud-build<3,>=2.0.0->apache-beam==2.29.0.dev0)
(0.4.3)
Requirement already satisfied: websocket-client>=0.32.0 in <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages>
(from docker->testcontainers<4.0.0,>=3.0.3->apache-beam==2.29.0.dev0) (0.57.0)
DEPRECATION: Source distribution is being reinstalled despite an installed package having
the same name and version as the installed package. pip 21.1 will remove support for this
functionality. A possible replacement is use --force-reinstall. You can find discussion regarding
this at https://github.com/pypa/pip/issues/8711.
Building wheels for collected packages: apache-beam
  Building wheel for apache-beam (setup.py): started
  Building wheel for apache-beam (setup.py): finished with status 'done'
  Created wheel for apache-beam: filename=apache_beam-2.29.0.dev0-py3-none-any.whl size=2388628
sha256=1f97dac9f2fd11898e01fb451c745b25d2c2d23b26d13912e318a30c8edff19c
  Stored in directory: /home/jenkins/.cache/pip/wheels/67/89/a4/f6bd05488a6a494d802277f2836bec3d24856866fd4a98d4df
Successfully built apache-beam
Installing collected packages: apache-beam
  Attempting uninstall: apache-beam
    Found existing installation: apache-beam 2.29.0.dev0
    Uninstalling apache-beam-2.29.0.dev0:
      Successfully uninstalled apache-beam-2.29.0.dev0

Unknown event 0x800 for <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages/apache_beam-2.29.0.dev0.dist-info>
Unknown event 0x800 for <https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/build/gradleenv/1329484227/lib/python3.7/site-packages/apache_beam>
Dropped VFS state due to lost state

> Task :sdks:python:apache_beam:testing:load_tests:installGcpTest
Successfully installed apache-beam-2.29.0.dev0

> Task :sdks:python:apache_beam:testing:load_tests:run
WARNING:root:Make sure that locally built Python SDK docker image has Python 3.7 interpreter.
INFO:root:Default Python SDK image for environment is apache/beam_python3.7_sdk:2.29.0.dev
INFO:root:Using provided Python SDK container image: gcr.io/apache-beam-testing/beam_portability/beam_python3.7_sdk:latest
INFO:root:Python SDK container image set to "gcr.io/apache-beam-testing/beam_portability/beam_python3.7_sdk:latest"
for Docker environment
WARNING:apache_beam.options.pipeline_options:Discarding unparseable args: ['--fanout=8', '--top_count=20',
'--use_stateful_load_generator']
INFO:apache_beam.runners.portability.portable_runner:Job state changed to STOPPED
INFO:apache_beam.runners.portability.portable_runner:Job state changed to STARTING
INFO:apache_beam.runners.portability.portable_runner:Job state changed to RUNNING
ERROR:root:org.apache.beam.vendor.grpc.v1p26p0.io.netty.util.internal.OutOfDirectMemoryError:
failed to allocate 16777216 byte(s) of direct memory (used: 1459618071, max: 1476395008)
INFO:apache_beam.runners.portability.portable_runner:Job state changed to FAILED
Traceback (most recent call last):
  File "/usr/lib/python3.7/runpy.py", line 193, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib/python3.7/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "<https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/sdks/python/apache_beam/testing/load_tests/combine_test.py",>
line 131, in <module>
    CombineTest().run()
  File "<https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/sdks/python/apache_beam/testing/load_tests/load_test.py",>
line 152, in run
    self.result.wait_until_finish(duration=self.timeout_ms)
  File "<https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/sdks/python/apache_beam/runners/portability/portable_runner.py",>
line 580, in wait_until_finish
    raise self._runtime_exception
RuntimeError: Pipeline load-tests-python-flink-streaming-combine-5-0131185314_53004675-b4f7-487b-af43-fe6293cb2143
failed in state FAILED: org.apache.beam.vendor.grpc.v1p26p0.io.netty.util.internal.OutOfDirectMemoryError:
failed to allocate 16777216 byte(s) of direct memory (used: 1459618071, max: 1476395008)

> Task :sdks:python:apache_beam:testing:load_tests:run FAILED

FAILURE: Build failed with an exception.

* Where:
Build file '<https://ci-beam.apache.org/job/beam_LoadTests_Python_Combine_Flink_Streaming/ws/src/sdks/python/apache_beam/testing/load_tests/build.gradle'>
line: 58

* What went wrong:
Execution failed for task ':sdks:python:apache_beam:testing:load_tests:run'.
> error occurred

* Try:
Run with --stacktrace option to get the stack trace. Run with --info or --debug option to
get more log output. Run with --scan to get full insights.

* Get more help at https://help.gradle.org

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.8/userguide/command_line_interface.html#sec:command_line_warnings

BUILD FAILED in 3m 52s
5 actionable tasks: 3 executed, 2 up-to-date

Publishing build scan...
https://gradle.com/s/2bqczm37n3fa6

Build step 'Invoke Gradle script' changed build result to FAILURE
Build step 'Invoke Gradle script' marked build as failure


---------------------------------------------------------------------
To unsubscribe, e-mail: builds-unsubscribe@beam.apache.org
For additional commands, e-mail: builds-help@beam.apache.org


Mime
View raw message